package com.mosty.hczx.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.entity.hczx.TbHcBpccl;
import com.mosty.base.model.query.hczx.HcTjQuery;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


@Mapper
public interface TbHcBpcclMapper extends BaseMapper<TbHcBpccl> {

    Integer selectCarCount(@Param("ssbmdm") String ssbmdm);

    @ApiOperation("查询今日盘查车辆列表")
    List<TbHcBpccl> getList(Map<String, Object> map);

    @ApiOperation("查询今日盘查车辆数量")
    int getCount(Map<String, Object> map);

    @ApiOperation("插入数据")
    void insertEntity(TbHcBpccl item);

    @ApiOperation("修改盘查车辆对象")
    void updateEntity(TbHcBpccl cl);

    @ApiOperation("查询两个小时内没有被人员绑定的车辆")
    List<TbHcBpccl> getClOf2h(@Param("sfzh") String sfzh, @Param("time") String time);

    @ApiOperation("添加查询车辆盘查信息")
    int getCountCl(Map<String, Object> map);

    @ApiOperation("条件查询车辆盘车信息列表")
    List<TbHcBpccl> getListCl(Map<String, Object> map);

    @ApiOperation("统计被盘查车辆")
    List<Map<String, Object>> selectPcclTj(@Param("kssj") String kssj, @Param("jssj") String jssj);

    @ApiOperation("查询重点车辆统计")
    List<Map<String, Object>> selectZdclTj(@Param("kssj") String kssj, @Param("jssj") String jssj);

    @ApiOperation("盘查统计")
    IPage<Map<String, Object>> getPctj(@Param("page") IPage<HcTjQuery> page, @Param("query") HcTjQuery query);

    int getPctjRy(@Param("query") HcTjQuery query);

    int getPctjCl(@Param("query") HcTjQuery query);

    @ApiOperation("盘查物品统计")
    int getPcWptj(@Param("ssbmdm") String ssbmdm, @Param("time") String time);


}
